import { Context } from '@actions/github/lib/context';
import { Logger, ContextHelper, Command, ApiHelper, GitHelper, Utils } from '@technote-space/github-action-helper';
import { isTargetContext } from './utils/misc';
import { execute } from './utils/process';
import { MainArguments } from './types';
export declare const showActionInfo: (rootDir: string, logger: Logger, context: Context) => void;
export declare const getLogger: (logger?: Logger | undefined) => Logger;
export { isTargetContext, execute };
export { Logger, ContextHelper, Command, ApiHelper, GitHelper, Utils };
/**
 * @param {object} option option
 * @param {string} option.actionName action name
 * @param {string} option.actionOwner action owner
 * @param {string} option.actionRepo action repo
 * @param {Logger|undefined} option.logger logger
 * @param {string|undefined} option.message message
 * @return {Promise<void>} void
 */
export declare function main(option: MainArguments): Promise<void>;
/**
 * @param {object} option option
 * @param {Logger|undefined} option.logger logger
 * @param {string|undefined} option.message message
 * @return {void} void
 */
export declare function run(option: MainArguments): void;
